## senlin-tempest-plugin 1.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
openstacksdk>=0.24.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0
tenacity>=4.9.0 # Apache-2.0

## senlin-tempest-plugin 1.0.0

=== debian/changelog ===
senlin-tempest-plugin (1.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #961525).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 May 2020 18:30:22 +0200

=== debian/control ===
Source: senlin-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/senlin-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/senlin-tempest-plugin.git
Homepage: https://opendev.org/openstack/senlin-tempest-plugin

Package: senlin-tempest-plugin
Architecture: all
Depends:
 python3-babel,
 python3-openstacksdk (>= 0.24.0),
 python3-oslo.config,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-tenacity,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Senlin plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Senlin plugin.

## senlin-tempest-plugin 1.1.0

=== debian/changelog ===
senlin-tempest-plugin (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:02:39 +0200

senlin-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-{babel,six} from depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:56:08 +0200

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,11 @@
 Package: senlin-tempest-plugin
 Architecture: all
 Depends:
- python3-babel,
  python3-openstacksdk (>= 0.24.0),
  python3-oslo.config,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,
- python3-six,
  python3-tenacity,
  tempest,
  ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/senlin-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## senlin-tempest-plugin 1.4.0

=== debian/changelog ===
senlin-tempest-plugin (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:42:53 +0200

senlin-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:35:04 +0200

senlin-tempest-plugin (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:58:27 +0200

senlin-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 13:40:04 +0200

senlin-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:13:15 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/senlin-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/senlin-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## senlin-tempest-plugin 1.5.0

=== debian/changelog ===
senlin-tempest-plugin (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:31:08 +0200

senlin-tempest-plugin (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2022 12:47:26 +0100

## senlin-tempest-plugin 1.6.0

=== debian/changelog ===
senlin-tempest-plugin (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:27:46 +0200

## senlin-tempest-plugin 1.7.1

=== debian/changelog ===
senlin-tempest-plugin (1.7.1-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Tue, 22 Aug 2023 13:54:08 +0000

senlin-tempest-plugin (1.7.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1049312).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 15:52:47 +0200

senlin-tempest-plugin (1.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:05:49 +0200

senlin-tempest-plugin (1.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:23:51 +0100

senlin-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:51:12 +0100

## senlin-tempest-plugin 1.8.0

=== doc/requirements.txt ===
sphinx!=2.1.0,>=2.0.0 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
senlin-tempest-plugin (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Sep 2023 16:42:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -19,7 +19,7 @@
 Package: senlin-tempest-plugin
 Architecture: all
 Depends:
- python3-openstacksdk (>= 0.24.0),
+ python3-openstacksdk,
  python3-oslo.config,
  python3-oslo.serialization,
  python3-oslo.utils,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."
